source: squid-ssl/trunk/fuentes/helpers/basic_auth/SMB/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 44.0 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17
18VPATH = @srcdir@
19am__is_gnu_make = { \
20  if test -z '$(MAKELEVEL)'; then \
21    false; \
22  elif test -n '$(MAKE_HOST)'; then \
23    true; \
24  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25    true; \
26  else \
27    false; \
28  fi; \
29}
30am__make_running_with_option = \
31  case $${target_option-} in \
32      ?) ;; \
33      *) echo "am__make_running_with_option: internal error: invalid" \
34              "target option '$${target_option-}' specified" >&2; \
35         exit 1;; \
36  esac; \
37  has_opt=no; \
38  sane_makeflags=$$MAKEFLAGS; \
39  if $(am__is_gnu_make); then \
40    sane_makeflags=$$MFLAGS; \
41  else \
42    case $$MAKEFLAGS in \
43      *\\[\ \   ]*) \
44        bs=\\; \
45        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
47    esac; \
48  fi; \
49  skip_next=no; \
50  strip_trailopt () \
51  { \
52    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53  }; \
54  for flg in $$sane_makeflags; do \
55    test $$skip_next = yes && { skip_next=no; continue; }; \
56    case $$flg in \
57      *=*|--*) continue;; \
58        -*I) strip_trailopt 'I'; skip_next=yes;; \
59      -*I?*) strip_trailopt 'I';; \
60        -*O) strip_trailopt 'O'; skip_next=yes;; \
61      -*O?*) strip_trailopt 'O';; \
62        -*l) strip_trailopt 'l'; skip_next=yes;; \
63      -*l?*) strip_trailopt 'l';; \
64      -[dEDm]) skip_next=yes;; \
65      -[JT]) skip_next=yes;; \
66    esac; \
67    case $$flg in \
68      *$$target_option*) has_opt=yes; break;; \
69    esac; \
70  done; \
71  test $$has_opt = yes
72am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74pkgdatadir = $(datadir)/@PACKAGE@
75pkgincludedir = $(includedir)/@PACKAGE@
76pkglibdir = $(libdir)/@PACKAGE@
77pkglibexecdir = $(libexecdir)/@PACKAGE@
78am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79install_sh_DATA = $(install_sh) -c -m 644
80install_sh_PROGRAM = $(install_sh) -c
81install_sh_SCRIPT = $(install_sh) -c
82INSTALL_HEADER = $(INSTALL_DATA)
83transform = $(program_transform_name)
84NORMAL_INSTALL = :
85PRE_INSTALL = :
86POST_INSTALL = :
87NORMAL_UNINSTALL = :
88PRE_UNINSTALL = :
89POST_UNINSTALL = :
90build_triplet = @build@
91host_triplet = @host@
92check_PROGRAMS =
93TESTS =
94@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
95@ENABLE_WIN32SPECIFIC_FALSE@libexec_PROGRAMS =  \
96@ENABLE_WIN32SPECIFIC_FALSE@    basic_smb_auth$(EXEEXT)
97subdir = helpers/basic_auth/SMB
98ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
99am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
100        $(top_srcdir)/acinclude/init.m4 \
101        $(top_srcdir)/acinclude/squid-util.m4 \
102        $(top_srcdir)/acinclude/compiler-flags.m4 \
103        $(top_srcdir)/acinclude/os-deps.m4 \
104        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
105        $(top_srcdir)/acinclude/pkg.m4 \
106        $(top_srcdir)/acinclude/lib-checks.m4 \
107        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
108        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
109        $(top_srcdir)/helpers/basic_auth/modules.m4 \
110        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
122        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
123        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/modules.m4 \
125        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
126        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
127        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
130        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
131        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
134        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
135        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/modules.m4 \
137        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
138        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
139        $(top_srcdir)/helpers/external_acl/modules.m4 \
140        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
142        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
143        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
144        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
145        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
146        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
147        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
148        $(top_srcdir)/helpers/external_acl/session/required.m4 \
149        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
150        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
151        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
152        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
154        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
155        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
156        $(top_srcdir)/configure.ac
157am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
158        $(ACLOCAL_M4)
159DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
160mkinstalldirs = $(install_sh) -d
161CONFIG_HEADER = $(top_builddir)/include/autoconf.h
162CONFIG_CLEAN_FILES =
163CONFIG_CLEAN_VPATH_FILES =
164am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(libexecdir)"
165PROGRAMS = $(libexec_PROGRAMS)
166am_basic_smb_auth_OBJECTS = basic_smb_auth-basic_smb_auth.$(OBJEXT)
167basic_smb_auth_OBJECTS = $(am_basic_smb_auth_OBJECTS)
168@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
169am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
170        $(am__DEPENDENCIES_1)
171am__DEPENDENCIES_3 =
172basic_smb_auth_DEPENDENCIES = $(top_builddir)/lib/libmiscencoding.la \
173        $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_3)
174AM_V_lt = $(am__v_lt_@AM_V@)
175am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
176am__v_lt_0 = --silent
177am__v_lt_1 =
178basic_smb_auth_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
179        $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
180        $(basic_smb_auth_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
181        $(LDFLAGS) -o $@
182am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
183am__vpath_adj = case $$p in \
184    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
185    *) f=$$p;; \
186  esac;
187am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
188am__install_max = 40
189am__nobase_strip_setup = \
190  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
191am__nobase_strip = \
192  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
193am__nobase_list = $(am__nobase_strip_setup); \
194  for p in $$list; do echo "$$p $$p"; done | \
195  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
196  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
197    if (++n[$$2] == $(am__install_max)) \
198      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
199    END { for (dir in files) print dir, files[dir] }'
200am__base_list = \
201  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
202  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
203am__uninstall_files_from_dir = { \
204  test -z "$$files" \
205    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
206    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
207         $(am__cd) "$$dir" && rm -f $$files; }; \
208  }
209SCRIPTS = $(libexec_SCRIPTS)
210AM_V_P = $(am__v_P_@AM_V@)
211am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
212am__v_P_0 = false
213am__v_P_1 = :
214AM_V_GEN = $(am__v_GEN_@AM_V@)
215am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
216am__v_GEN_0 = @echo "  GEN     " $@;
217am__v_GEN_1 =
218AM_V_at = $(am__v_at_@AM_V@)
219am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
220am__v_at_0 = @
221am__v_at_1 =
222DEFAULT_INCLUDES =
223depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
224am__depfiles_maybe = depfiles
225am__mv = mv -f
226CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
227        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
228LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
229        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
230        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
231        $(AM_CXXFLAGS) $(CXXFLAGS)
232AM_V_CXX = $(am__v_CXX_@AM_V@)
233am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
234am__v_CXX_0 = @echo "  CXX     " $@;
235am__v_CXX_1 =
236CXXLD = $(CXX)
237CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
238        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
239        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
240AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
241am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
242am__v_CXXLD_0 = @echo "  CXXLD   " $@;
243am__v_CXXLD_1 =
244SOURCES = $(basic_smb_auth_SOURCES)
245DIST_SOURCES = $(basic_smb_auth_SOURCES)
246am__can_run_installinfo = \
247  case $$AM_UPDATE_INFO_DIR in \
248    n|no|NO) false;; \
249    *) (install-info --version) >/dev/null 2>&1;; \
250  esac
251am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
252# Read a list of newline-separated strings from the standard input,
253# and print each of them once, without duplicates.  Input order is
254# *not* preserved.
255am__uniquify_input = $(AWK) '\
256  BEGIN { nonempty = 0; } \
257  { items[$$0] = 1; nonempty = 1; } \
258  END { if (nonempty) { for (i in items) print i; }; } \
259'
260# Make sure the list of sources is unique.  This is necessary because,
261# e.g., the same source file might be shared among _SOURCES variables
262# for different programs/libraries.
263am__define_uniq_tagged_files = \
264  list='$(am__tagged_files)'; \
265  unique=`for i in $$list; do \
266    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
267  done | $(am__uniquify_input)`
268ETAGS = etags
269CTAGS = ctags
270am__tty_colors_dummy = \
271  mgn= red= grn= lgn= blu= brg= std=; \
272  am__color_tests=no
273am__tty_colors = { \
274  $(am__tty_colors_dummy); \
275  if test "X$(AM_COLOR_TESTS)" = Xno; then \
276    am__color_tests=no; \
277  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
278    am__color_tests=yes; \
279  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
280    am__color_tests=yes; \
281  fi; \
282  if test $$am__color_tests = yes; then \
283    red='[0;31m'; \
284    grn='[0;32m'; \
285    lgn='[1;32m'; \
286    blu='[1;34m'; \
287    mgn='[0;35m'; \
288    brg='[1m'; \
289    std='[m'; \
290  fi; \
291}
292am__recheck_rx = ^[     ]*:recheck:[    ]*
293am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
294am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
295# A command that, given a newline-separated list of test names on the
296# standard input, print the name of the tests that are to be re-run
297# upon "make recheck".
298am__list_recheck_tests = $(AWK) '{ \
299  recheck = 1; \
300  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
301    { \
302      if (rc < 0) \
303        { \
304          if ((getline line2 < ($$0 ".log")) < 0) \
305            recheck = 0; \
306          break; \
307        } \
308      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
309        { \
310          recheck = 0; \
311          break; \
312        } \
313      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
314        { \
315          break; \
316        } \
317    }; \
318  if (recheck) \
319    print $$0; \
320  close ($$0 ".trs"); \
321  close ($$0 ".log"); \
322}'
323# A command that, given a newline-separated list of test names on the
324# standard input, create the global log from their .trs and .log files.
325am__create_global_log = $(AWK) ' \
326function fatal(msg) \
327{ \
328  print "fatal: making $@: " msg | "cat >&2"; \
329  exit 1; \
330} \
331function rst_section(header) \
332{ \
333  print header; \
334  len = length(header); \
335  for (i = 1; i <= len; i = i + 1) \
336    printf "="; \
337  printf "\n\n"; \
338} \
339{ \
340  copy_in_global_log = 1; \
341  global_test_result = "RUN"; \
342  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
343    { \
344      if (rc < 0) \
345         fatal("failed to read from " $$0 ".trs"); \
346      if (line ~ /$(am__global_test_result_rx)/) \
347        { \
348          sub("$(am__global_test_result_rx)", "", line); \
349          sub("[        ]*$$", "", line); \
350          global_test_result = line; \
351        } \
352      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
353        copy_in_global_log = 0; \
354    }; \
355  if (copy_in_global_log) \
356    { \
357      rst_section(global_test_result ": " $$0); \
358      while ((rc = (getline line < ($$0 ".log"))) != 0) \
359      { \
360        if (rc < 0) \
361          fatal("failed to read from " $$0 ".log"); \
362        print line; \
363      }; \
364      printf "\n"; \
365    }; \
366  close ($$0 ".trs"); \
367  close ($$0 ".log"); \
368}'
369# Restructured Text title.
370am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
371# Solaris 10 'make', and several other traditional 'make' implementations,
372# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
373# by disabling -e (using the XSI extension "set +e") if it's set.
374am__sh_e_setup = case $$- in *e*) set +e;; esac
375# Default flags passed to test drivers.
376am__common_driver_flags = \
377  --color-tests "$$am__color_tests" \
378  --enable-hard-errors "$$am__enable_hard_errors" \
379  --expect-failure "$$am__expect_failure"
380# To be inserted before the command running the test.  Creates the
381# directory for the log if needed.  Stores in $dir the directory
382# containing $f, in $tst the test, in $log the log.  Executes the
383# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
384# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
385# will run the test scripts (or their associated LOG_COMPILER, if
386# thy have one).
387am__check_pre = \
388$(am__sh_e_setup);                                      \
389$(am__vpath_adj_setup) $(am__vpath_adj)                 \
390$(am__tty_colors);                                      \
391srcdir=$(srcdir); export srcdir;                        \
392case "$@" in                                            \
393  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
394    *) am__odir=.;;                                     \
395esac;                                                   \
396test "x$$am__odir" = x"." || test -d "$$am__odir"       \
397  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
398if test -f "./$$f"; then dir=./;                        \
399elif test -f "$$f"; then dir=;                          \
400else dir="$(srcdir)/"; fi;                              \
401tst=$$dir$$f; log='$@';                                 \
402if test -n '$(DISABLE_HARD_ERRORS)'; then               \
403  am__enable_hard_errors=no;                            \
404else                                                    \
405  am__enable_hard_errors=yes;                           \
406fi;                                                     \
407case " $(XFAIL_TESTS) " in                              \
408  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
409    am__expect_failure=yes;;                            \
410  *)                                                    \
411    am__expect_failure=no;;                             \
412esac;                                                   \
413$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
414# A shell command to get the names of the tests scripts with any registered
415# extension removed (i.e., equivalently, the names of the test logs, with
416# the '.log' extension removed).  The result is saved in the shell variable
417# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
418# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
419# since that might cause problem with VPATH rewrites for suffix-less tests.
420# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
421am__set_TESTS_bases = \
422  bases='$(TEST_LOGS)'; \
423  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
424  bases=`echo $$bases`
425RECHECK_LOGS = $(TEST_LOGS)
426AM_RECURSIVE_TARGETS = check recheck
427TEST_SUITE_LOG = test-suite.log
428TEST_EXTENSIONS = @EXEEXT@ .test
429am__test_logs1 = $(TESTS:=.log)
430am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
431TEST_LOGS = $(am__test_logs2:.test.log=.log)
432TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
433TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
434        $(TEST_LOG_FLAGS)
435am__set_b = \
436  case '$@' in \
437    */*) \
438      case '$*' in \
439        */*) b='$*';; \
440          *) b=`echo '$@' | sed 's/\.log$$//'`; \
441       esac;; \
442    *) \
443      b='$*';; \
444  esac
445am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
446        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
447        ChangeLog
448DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
449ACLOCAL = @ACLOCAL@
450ADAPTATION_LIBS = @ADAPTATION_LIBS@
451ALLOCA = @ALLOCA@
452AMTAR = @AMTAR@
453AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
454AR = @AR@
455ARGZ_H = @ARGZ_H@
456AR_R = @AR_R@
457AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
458AUTH_MODULES = @AUTH_MODULES@
459AUTOCONF = @AUTOCONF@
460AUTOHEADER = @AUTOHEADER@
461AUTOMAKE = @AUTOMAKE@
462AWK = @AWK@
463BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
464BUILDCXX = @BUILDCXX@
465BUILDCXXFLAGS = @BUILDCXXFLAGS@
466BZR = @BZR@
467CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
468CC = @CC@
469CCDEPMODE = @CCDEPMODE@
470CFLAGS = @CFLAGS@
471CGIEXT = @CGIEXT@
472CHMOD = @CHMOD@
473CPP = @CPP@
474CPPFLAGS = @CPPFLAGS@
475CPPUNITCONFIG = @CPPUNITCONFIG@
476CRYPTLIB = @CRYPTLIB@
477CXX = @CXX@
478CXXCPP = @CXXCPP@
479CXXDEPMODE = @CXXDEPMODE@
480CXXFLAGS = @CXXFLAGS@
481CYGPATH_W = @CYGPATH_W@
482DEFAULT_HOSTS = @DEFAULT_HOSTS@
483DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
484DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
485DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
486DEFS = @DEFS@
487DEPDIR = @DEPDIR@
488DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
489DISK_LIBS = @DISK_LIBS@
490DISK_LINKOBJS = @DISK_LINKOBJS@
491DISK_MODULES = @DISK_MODULES@
492DISK_OS_LIBS = @DISK_OS_LIBS@
493DISK_PROGRAMS = @DISK_PROGRAMS@
494DLLTOOL = @DLLTOOL@
495DSYMUTIL = @DSYMUTIL@
496DUMPBIN = @DUMPBIN@
497ECAP_LIBS = @ECAP_LIBS@
498ECHO_C = @ECHO_C@
499ECHO_N = @ECHO_N@
500ECHO_T = @ECHO_T@
501EGREP = @EGREP@
502EPOLL_LIBS = @EPOLL_LIBS@
503EUILIB = @EUILIB@
504EXEEXT = @EXEEXT@
505EXPATLIB = @EXPATLIB@
506EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
507EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
508EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
509FALSE = @FALSE@
510FGREP = @FGREP@
511GREP = @GREP@
512HAVE_CXX11 = @HAVE_CXX11@
513ICAP_LIBS = @ICAP_LIBS@
514INCLTDL = @INCLTDL@
515INSTALL = @INSTALL@
516INSTALL_DATA = @INSTALL_DATA@
517INSTALL_PROGRAM = @INSTALL_PROGRAM@
518INSTALL_SCRIPT = @INSTALL_SCRIPT@
519INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
520KRB5INCS = @KRB5INCS@
521KRB5LIBS = @KRB5LIBS@
522LBERLIB = @LBERLIB@
523LD = @LD@
524LDAPLIB = @LDAPLIB@
525LDFLAGS = @LDFLAGS@
526LIBADD_DL = @LIBADD_DL@
527LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
528LIBADD_DLOPEN = @LIBADD_DLOPEN@
529LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
530LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
531LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
532LIBLTDL = @LIBLTDL@
533LIBOBJS = @LIBOBJS@
534LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
535LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
536LIBS = @LIBS@
537LIBSASL = @LIBSASL@
538LIBTOOL = @LIBTOOL@
539LIB_DB = @LIB_DB@
540LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
541LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
542LINUXDOC = @LINUXDOC@
543LIPO = @LIPO@
544LN = @LN@
545LN_S = @LN_S@
546LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
547LTDLDEPS = @LTDLDEPS@
548LTDLINCL = @LTDLINCL@
549LTDLOPEN = @LTDLOPEN@
550LTLIBOBJS = @LTLIBOBJS@
551LT_CONFIG_H = @LT_CONFIG_H@
552LT_DLLOADERS = @LT_DLLOADERS@
553LT_DLPREOPEN = @LT_DLPREOPEN@
554MAINT = @MAINT@
555MAKEINFO = @MAKEINFO@
556MANIFEST_TOOL = @MANIFEST_TOOL@
557MINGW_LIBS = @MINGW_LIBS@
558MKDIR = @MKDIR@
559MKDIR_P = @MKDIR_P@
560MV = @MV@
561NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
562NETTLELIB = @NETTLELIB@
563NM = @NM@
564NMEDIT = @NMEDIT@
565NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
566OBJDUMP = @OBJDUMP@
567OBJEXT = @OBJEXT@
568OTOOL = @OTOOL@
569OTOOL64 = @OTOOL64@
570PACKAGE = @PACKAGE@
571PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
572PACKAGE_NAME = @PACKAGE_NAME@
573PACKAGE_STRING = @PACKAGE_STRING@
574PACKAGE_TARNAME = @PACKAGE_TARNAME@
575PACKAGE_URL = @PACKAGE_URL@
576PACKAGE_VERSION = @PACKAGE_VERSION@
577PATH_SEPARATOR = @PATH_SEPARATOR@
578PERL = @PERL@
579PKG_CONFIG = @PKG_CONFIG@
580PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
581PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
582PO2HTML = @PO2HTML@
583PO2TEXT = @PO2TEXT@
584POD2MAN = @POD2MAN@
585RANLIB = @RANLIB@
586REGEXLIB = @REGEXLIB@
587REPL_LIBS = @REPL_LIBS@
588REPL_OBJS = @REPL_OBJS@
589REPL_POLICIES = @REPL_POLICIES@
590RM = @RM@
591SED = @SED@
592SET_MAKE = @SET_MAKE@
593SH = @SH@
594SHELL = @SHELL@
595SMBCLIENT = @SMBCLIENT@
596SNMPLIB = @SNMPLIB@
597SQUID_CFLAGS = @SQUID_CFLAGS@
598SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
599SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
600SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
601SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
602SSLLIB = @SSLLIB@
603STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
604STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
605STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
606STORE_TESTS = @STORE_TESTS@
607STRIP = @STRIP@
608TR = @TR@
609TRUE = @TRUE@
610URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
611VERSION = @VERSION@
612WBINFO = @WBINFO@
613WIN32_PSAPI = @WIN32_PSAPI@
614XMLLIB = @XMLLIB@
615XTRA_LIBS = @XTRA_LIBS@
616XTRA_OBJS = @XTRA_OBJS@
617abs_builddir = @abs_builddir@
618abs_srcdir = @abs_srcdir@
619abs_top_builddir = @abs_top_builddir@
620abs_top_srcdir = @abs_top_srcdir@
621ac_ct_AR = @ac_ct_AR@
622ac_ct_CC = @ac_ct_CC@
623ac_ct_CXX = @ac_ct_CXX@
624ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
625am__include = @am__include@
626am__leading_dot = @am__leading_dot@
627am__quote = @am__quote@
628am__tar = @am__tar@
629am__untar = @am__untar@
630bindir = @bindir@
631build = @build@
632build_alias = @build_alias@
633build_cpu = @build_cpu@
634build_os = @build_os@
635build_vendor = @build_vendor@
636builddir = @builddir@
637datadir = @datadir@
638datarootdir = @datarootdir@
639docdir = @docdir@
640dvidir = @dvidir@
641exec_prefix = @exec_prefix@
642host = @host@
643host_alias = @host_alias@
644host_cpu = @host_cpu@
645host_os = @host_os@
646host_vendor = @host_vendor@
647htmldir = @htmldir@
648includedir = @includedir@
649infodir = @infodir@
650install_sh = @install_sh@
651krb5_config = @krb5_config@
652libdir = @libdir@
653libexecdir = @libexecdir@
654localedir = @localedir@
655localstatedir = @localstatedir@
656ltdl_LIBOBJS = @ltdl_LIBOBJS@
657ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
658mandir = @mandir@
659mkdir_p = @mkdir_p@
660oldincludedir = @oldincludedir@
661pdfdir = @pdfdir@
662prefix = @prefix@
663program_transform_name = @program_transform_name@
664psdir = @psdir@
665runstatedir = @runstatedir@
666sbindir = @sbindir@
667sharedstatedir = @sharedstatedir@
668srcdir = @srcdir@
669subdirs = @subdirs@
670sys_symbol_underscore = @sys_symbol_underscore@
671sysconfdir = @sysconfdir@
672target_alias = @target_alias@
673top_build_prefix = @top_build_prefix@
674top_builddir = @top_builddir@
675top_srcdir = @top_srcdir@
676AM_CFLAGS = $(SQUID_CFLAGS)
677AM_CXXFLAGS = $(SQUID_CXXFLAGS)
678CLEANFILES =
679AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
680        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
681        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
682        $(am__append_1)
683@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
684@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
685COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
686subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
687@ENABLE_WIN32SPECIFIC_FALSE@libexec_SCRIPTS = basic_smb_auth.sh
688basic_smb_auth_SOURCES = basic_smb_auth.cc
689basic_smb_auth_CXXFLAGS = -DHELPERSCRIPT=\"$(libexecdir)/basic_smb_auth.sh\"
690basic_smb_auth_LDADD = \
691                $(top_builddir)/lib/libmiscencoding.la \
692                $(COMPAT_LIB) \
693                $(XTRA_LIBS)
694
695EXTRA_DIST = basic_smb_auth.sh required.m4
696all: all-am
697
698.SUFFIXES:
699.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
700$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
701        @for dep in $?; do \
702          case '$(am__configure_deps)' in \
703            *$$dep*) \
704              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
705                && { if test -f $@; then exit 0; else break; fi; }; \
706              exit 1;; \
707          esac; \
708        done; \
709        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign helpers/basic_auth/SMB/Makefile'; \
710        $(am__cd) $(top_srcdir) && \
711          $(AUTOMAKE) --foreign helpers/basic_auth/SMB/Makefile
712Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
713        @case '$?' in \
714          *config.status*) \
715            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
716          *) \
717            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
718            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
719        esac;
720$(top_srcdir)/src/Common.am $(am__empty):
721
722$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
723        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
724
725$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
726        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
727$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
728        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
729$(am__aclocal_m4_deps):
730
731clean-checkPROGRAMS:
732        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
733        echo " rm -f" $$list; \
734        rm -f $$list || exit $$?; \
735        test -n "$(EXEEXT)" || exit 0; \
736        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
737        echo " rm -f" $$list; \
738        rm -f $$list
739install-libexecPROGRAMS: $(libexec_PROGRAMS)
740        @$(NORMAL_INSTALL)
741        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
742        if test -n "$$list"; then \
743          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
744          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
745        fi; \
746        for p in $$list; do echo "$$p $$p"; done | \
747        sed 's/$(EXEEXT)$$//' | \
748        while read p p1; do if test -f $$p \
749         || test -f $$p1 \
750          ; then echo "$$p"; echo "$$p"; else :; fi; \
751        done | \
752        sed -e 'p;s,.*/,,;n;h' \
753            -e 's|.*|.|' \
754            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
755        sed 'N;N;N;s,\n, ,g' | \
756        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
757          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
758            if ($$2 == $$4) files[d] = files[d] " " $$1; \
759            else { print "f", $$3 "/" $$4, $$1; } } \
760          END { for (d in files) print "f", d, files[d] }' | \
761        while read type dir files; do \
762            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
763            test -z "$$files" || { \
764            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
765            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
766            } \
767        ; done
768
769uninstall-libexecPROGRAMS:
770        @$(NORMAL_UNINSTALL)
771        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
772        files=`for p in $$list; do echo "$$p"; done | \
773          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
774              -e 's/$$/$(EXEEXT)/' \
775        `; \
776        test -n "$$list" || exit 0; \
777        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
778        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
779
780clean-libexecPROGRAMS:
781        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
782        echo " rm -f" $$list; \
783        rm -f $$list || exit $$?; \
784        test -n "$(EXEEXT)" || exit 0; \
785        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
786        echo " rm -f" $$list; \
787        rm -f $$list
788
789basic_smb_auth$(EXEEXT): $(basic_smb_auth_OBJECTS) $(basic_smb_auth_DEPENDENCIES) $(EXTRA_basic_smb_auth_DEPENDENCIES)
790        @rm -f basic_smb_auth$(EXEEXT)
791        $(AM_V_CXXLD)$(basic_smb_auth_LINK) $(basic_smb_auth_OBJECTS) $(basic_smb_auth_LDADD) $(LIBS)
792install-libexecSCRIPTS: $(libexec_SCRIPTS)
793        @$(NORMAL_INSTALL)
794        @list='$(libexec_SCRIPTS)'; test -n "$(libexecdir)" || list=; \
795        if test -n "$$list"; then \
796          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
797          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
798        fi; \
799        for p in $$list; do \
800          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
801          if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
802        done | \
803        sed -e 'p;s,.*/,,;n' \
804            -e 'h;s|.*|.|' \
805            -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
806        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
807          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
808            if ($$2 == $$4) { files[d] = files[d] " " $$1; \
809              if (++n[d] == $(am__install_max)) { \
810                print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
811            else { print "f", d "/" $$4, $$1 } } \
812          END { for (d in files) print "f", d, files[d] }' | \
813        while read type dir files; do \
814             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
815             test -z "$$files" || { \
816               echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
817               $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
818             } \
819        ; done
820
821uninstall-libexecSCRIPTS:
822        @$(NORMAL_UNINSTALL)
823        @list='$(libexec_SCRIPTS)'; test -n "$(libexecdir)" || exit 0; \
824        files=`for p in $$list; do echo "$$p"; done | \
825               sed -e 's,.*/,,;$(transform)'`; \
826        dir='$(DESTDIR)$(libexecdir)'; $(am__uninstall_files_from_dir)
827
828mostlyclean-compile:
829        -rm -f *.$(OBJEXT)
830
831distclean-compile:
832        -rm -f *.tab.c
833
834@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basic_smb_auth-basic_smb_auth.Po@am__quote@
835
836.cc.o:
837@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
838@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
839@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
840@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
841@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
842@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
843
844.cc.obj:
845@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
846@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
847@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
848@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
849@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
850@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
851
852.cc.lo:
853@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
854@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
855@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
856@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
857@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
858@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
859
860basic_smb_auth-basic_smb_auth.o: basic_smb_auth.cc
861@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(basic_smb_auth_CXXFLAGS) $(CXXFLAGS) -MT basic_smb_auth-basic_smb_auth.o -MD -MP -MF $(DEPDIR)/basic_smb_auth-basic_smb_auth.Tpo -c -o basic_smb_auth-basic_smb_auth.o `test -f 'basic_smb_auth.cc' || echo '$(srcdir)/'`basic_smb_auth.cc
862@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/basic_smb_auth-basic_smb_auth.Tpo $(DEPDIR)/basic_smb_auth-basic_smb_auth.Po
863@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='basic_smb_auth.cc' object='basic_smb_auth-basic_smb_auth.o' libtool=no @AMDEPBACKSLASH@
864@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
865@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(basic_smb_auth_CXXFLAGS) $(CXXFLAGS) -c -o basic_smb_auth-basic_smb_auth.o `test -f 'basic_smb_auth.cc' || echo '$(srcdir)/'`basic_smb_auth.cc
866
867basic_smb_auth-basic_smb_auth.obj: basic_smb_auth.cc
868@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(basic_smb_auth_CXXFLAGS) $(CXXFLAGS) -MT basic_smb_auth-basic_smb_auth.obj -MD -MP -MF $(DEPDIR)/basic_smb_auth-basic_smb_auth.Tpo -c -o basic_smb_auth-basic_smb_auth.obj `if test -f 'basic_smb_auth.cc'; then $(CYGPATH_W) 'basic_smb_auth.cc'; else $(CYGPATH_W) '$(srcdir)/basic_smb_auth.cc'; fi`
869@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/basic_smb_auth-basic_smb_auth.Tpo $(DEPDIR)/basic_smb_auth-basic_smb_auth.Po
870@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='basic_smb_auth.cc' object='basic_smb_auth-basic_smb_auth.obj' libtool=no @AMDEPBACKSLASH@
871@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
872@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(basic_smb_auth_CXXFLAGS) $(CXXFLAGS) -c -o basic_smb_auth-basic_smb_auth.obj `if test -f 'basic_smb_auth.cc'; then $(CYGPATH_W) 'basic_smb_auth.cc'; else $(CYGPATH_W) '$(srcdir)/basic_smb_auth.cc'; fi`
873
874mostlyclean-libtool:
875        -rm -f *.lo
876
877clean-libtool:
878        -rm -rf .libs _libs
879
880ID: $(am__tagged_files)
881        $(am__define_uniq_tagged_files); mkid -fID $$unique
882tags: tags-am
883TAGS: tags
884
885tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
886        set x; \
887        here=`pwd`; \
888        $(am__define_uniq_tagged_files); \
889        shift; \
890        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
891          test -n "$$unique" || unique=$$empty_fix; \
892          if test $$# -gt 0; then \
893            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
894              "$$@" $$unique; \
895          else \
896            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
897              $$unique; \
898          fi; \
899        fi
900ctags: ctags-am
901
902CTAGS: ctags
903ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
904        $(am__define_uniq_tagged_files); \
905        test -z "$(CTAGS_ARGS)$$unique" \
906          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
907             $$unique
908
909GTAGS:
910        here=`$(am__cd) $(top_builddir) && pwd` \
911          && $(am__cd) $(top_srcdir) \
912          && gtags -i $(GTAGS_ARGS) "$$here"
913cscopelist: cscopelist-am
914
915cscopelist-am: $(am__tagged_files)
916        list='$(am__tagged_files)'; \
917        case "$(srcdir)" in \
918          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
919          *) sdir=$(subdir)/$(srcdir) ;; \
920        esac; \
921        for i in $$list; do \
922          if test -f "$$i"; then \
923            echo "$(subdir)/$$i"; \
924          else \
925            echo "$$sdir/$$i"; \
926          fi; \
927        done >> $(top_builddir)/cscope.files
928
929distclean-tags:
930        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
931
932# Recover from deleted '.trs' file; this should ensure that
933# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
934# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
935# to avoid problems with "make -n".
936.log.trs:
937        rm -f $< $@
938        $(MAKE) $(AM_MAKEFLAGS) $<
939
940# Leading 'am--fnord' is there to ensure the list of targets does not
941# expand to empty, as could happen e.g. with make check TESTS=''.
942am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
943am--force-recheck:
944        @:
945
946$(TEST_SUITE_LOG): $(TEST_LOGS)
947        @$(am__set_TESTS_bases); \
948        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
949        redo_bases=`for i in $$bases; do \
950                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
951                    done`; \
952        if test -n "$$redo_bases"; then \
953          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
954          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
955          if $(am__make_dryrun); then :; else \
956            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
957          fi; \
958        fi; \
959        if test -n "$$am__remaking_logs"; then \
960          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
961               "recursion detected" >&2; \
962        elif test -n "$$redo_logs"; then \
963          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
964        fi; \
965        if $(am__make_dryrun); then :; else \
966          st=0;  \
967          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
968          for i in $$redo_bases; do \
969            test -f $$i.trs && test -r $$i.trs \
970              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
971            test -f $$i.log && test -r $$i.log \
972              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
973          done; \
974          test $$st -eq 0 || exit 1; \
975        fi
976        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
977        ws='[   ]'; \
978        results=`for b in $$bases; do echo $$b.trs; done`; \
979        test -n "$$results" || results=/dev/null; \
980        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
981        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
982        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
983        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
984        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
985        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
986        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
987        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
988          success=true; \
989        else \
990          success=false; \
991        fi; \
992        br='==================='; br=$$br$$br$$br$$br; \
993        result_count () \
994        { \
995            if test x"$$1" = x"--maybe-color"; then \
996              maybe_colorize=yes; \
997            elif test x"$$1" = x"--no-color"; then \
998              maybe_colorize=no; \
999            else \
1000              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1001            fi; \
1002            shift; \
1003            desc=$$1 count=$$2; \
1004            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1005              color_start=$$3 color_end=$$std; \
1006            else \
1007              color_start= color_end=; \
1008            fi; \
1009            echo "$${color_start}# $$desc $$count$${color_end}"; \
1010        }; \
1011        create_testsuite_report () \
1012        { \
1013          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1014          result_count $$1 "PASS: " $$pass  "$$grn"; \
1015          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1016          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1017          result_count $$1 "FAIL: " $$fail  "$$red"; \
1018          result_count $$1 "XPASS:" $$xpass "$$red"; \
1019          result_count $$1 "ERROR:" $$error "$$mgn"; \
1020        }; \
1021        {                                                               \
1022          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1023            $(am__rst_title);                                           \
1024          create_testsuite_report --no-color;                           \
1025          echo;                                                         \
1026          echo ".. contents:: :depth: 2";                               \
1027          echo;                                                         \
1028          for b in $$bases; do echo $$b; done                           \
1029            | $(am__create_global_log);                                 \
1030        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1031        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1032        if $$success; then                                              \
1033          col="$$grn";                                                  \
1034         else                                                           \
1035          col="$$red";                                                  \
1036          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1037        fi;                                                             \
1038        echo "$${col}$$br$${std}";                                      \
1039        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1040        echo "$${col}$$br$${std}";                                      \
1041        create_testsuite_report --maybe-color;                          \
1042        echo "$$col$$br$$std";                                          \
1043        if $$success; then :; else                                      \
1044          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1045          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1046            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1047          fi;                                                           \
1048          echo "$$col$$br$$std";                                        \
1049        fi;                                                             \
1050        $$success || exit 1
1051
1052check-TESTS:
1053        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1054        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1055        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1056        @set +e; $(am__set_TESTS_bases); \
1057        log_list=`for i in $$bases; do echo $$i.log; done`; \
1058        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1059        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1060        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1061        exit $$?;
1062recheck: all $(check_PROGRAMS)
1063        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1064        @set +e; $(am__set_TESTS_bases); \
1065        bases=`for i in $$bases; do echo $$i; done \
1066                 | $(am__list_recheck_tests)` || exit 1; \
1067        log_list=`for i in $$bases; do echo $$i.log; done`; \
1068        log_list=`echo $$log_list`; \
1069        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1070                am__force_recheck=am--force-recheck \
1071                TEST_LOGS="$$log_list"; \
1072        exit $$?
1073.test.log:
1074        @p='$<'; \
1075        $(am__set_b); \
1076        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1077        --log-file $$b.log --trs-file $$b.trs \
1078        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1079        "$$tst" $(AM_TESTS_FD_REDIRECT)
1080@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1081@am__EXEEXT_TRUE@       @p='$<'; \
1082@am__EXEEXT_TRUE@       $(am__set_b); \
1083@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1084@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1085@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1086@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1087
1088distdir: $(DISTFILES)
1089        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1090        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1091        list='$(DISTFILES)'; \
1092          dist_files=`for file in $$list; do echo $$file; done | \
1093          sed -e "s|^$$srcdirstrip/||;t" \
1094              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1095        case $$dist_files in \
1096          */*) $(MKDIR_P) `echo "$$dist_files" | \
1097                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1098                           sort -u` ;; \
1099        esac; \
1100        for file in $$dist_files; do \
1101          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1102          if test -d $$d/$$file; then \
1103            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1104            if test -d "$(distdir)/$$file"; then \
1105              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1106            fi; \
1107            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1108              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1109              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1110            fi; \
1111            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1112          else \
1113            test -f "$(distdir)/$$file" \
1114            || cp -p $$d/$$file "$(distdir)/$$file" \
1115            || exit 1; \
1116          fi; \
1117        done
1118check-am: all-am
1119        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1120        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1121check: check-am
1122all-am: Makefile $(PROGRAMS) $(SCRIPTS)
1123installdirs:
1124        for dir in "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(libexecdir)"; do \
1125          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1126        done
1127install: install-am
1128install-exec: install-exec-am
1129install-data: install-data-am
1130uninstall: uninstall-am
1131
1132install-am: all-am
1133        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1134
1135installcheck: installcheck-am
1136install-strip:
1137        if test -z '$(STRIP)'; then \
1138          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1139            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1140              install; \
1141        else \
1142          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1143            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1144            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1145        fi
1146mostlyclean-generic:
1147        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1148        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1149        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1150
1151clean-generic:
1152        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1153
1154distclean-generic:
1155        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1156        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1157
1158maintainer-clean-generic:
1159        @echo "This command is intended for maintainers to use"
1160        @echo "it deletes files that may require special tools to rebuild."
1161clean: clean-am
1162
1163clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1164        clean-libtool mostlyclean-am
1165
1166distclean: distclean-am
1167        -rm -rf ./$(DEPDIR)
1168        -rm -f Makefile
1169distclean-am: clean-am distclean-compile distclean-generic \
1170        distclean-tags
1171
1172dvi: dvi-am
1173
1174dvi-am:
1175
1176html: html-am
1177
1178html-am:
1179
1180info: info-am
1181
1182info-am:
1183
1184install-data-am:
1185
1186install-dvi: install-dvi-am
1187
1188install-dvi-am:
1189
1190install-exec-am: install-libexecPROGRAMS install-libexecSCRIPTS
1191
1192install-html: install-html-am
1193
1194install-html-am:
1195
1196install-info: install-info-am
1197
1198install-info-am:
1199
1200install-man:
1201
1202install-pdf: install-pdf-am
1203
1204install-pdf-am:
1205
1206install-ps: install-ps-am
1207
1208install-ps-am:
1209
1210installcheck-am:
1211
1212maintainer-clean: maintainer-clean-am
1213        -rm -rf ./$(DEPDIR)
1214        -rm -f Makefile
1215maintainer-clean-am: distclean-am maintainer-clean-generic
1216
1217mostlyclean: mostlyclean-am
1218
1219mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1220        mostlyclean-libtool
1221
1222pdf: pdf-am
1223
1224pdf-am:
1225
1226ps: ps-am
1227
1228ps-am:
1229
1230uninstall-am: uninstall-libexecPROGRAMS uninstall-libexecSCRIPTS
1231
1232.MAKE: check-am install-am install-strip
1233
1234.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1235        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1236        clean-libtool cscopelist-am ctags ctags-am distclean \
1237        distclean-compile distclean-generic distclean-libtool \
1238        distclean-tags distdir dvi dvi-am html html-am info info-am \
1239        install install-am install-data install-data-am install-dvi \
1240        install-dvi-am install-exec install-exec-am install-html \
1241        install-html-am install-info install-info-am \
1242        install-libexecPROGRAMS install-libexecSCRIPTS install-man \
1243        install-pdf install-pdf-am install-ps install-ps-am \
1244        install-strip installcheck installcheck-am installdirs \
1245        maintainer-clean maintainer-clean-generic mostlyclean \
1246        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1247        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1248        uninstall-am uninstall-libexecPROGRAMS \
1249        uninstall-libexecSCRIPTS
1250
1251.PRECIOUS: Makefile
1252
1253
1254$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1255
1256# Tell versions [3.59,3.63) of GNU make to not export all variables.
1257# Otherwise a system limit (for SysV at least) may be exceeded.
1258.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.